image: python:3.8

pages:
  stage: deploy
  script:
  - apt update && apt install make subversion
  - export STORKVERSION="v1.5.0"
  - wget -O /usr/local/bin/stork https://files.stork-search.net/releases/v2.0.0-beta.2/stork-ubuntu-20-04
  - chmod +x /usr/local/bin/stork
  - pip3 install -r requirements.txt

  - make publish
  artifacts:
    paths:
    - public/
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

test:
  stage: test
  script:
  - apt update && apt install
  - export STORKVERSION="v1.5.0"
  - wget -O /usr/local/bin/stork wget https://files.stork-search.net/releases/v2.0.0-beta.2/stork-ubuntu-20-04
  - chmod +x /usr/local/bin/stork
  - pip3 install -r requirements.txt
  - make publish
  rules:
    - if: $CI_COMMIT_REF_NAME != $CI_DEFAULT_BRANCH

